GH-PROJECT-ITEM-EDIT(1)

NAME
gh-project-item-edit - Edit an item in a project

SYNOPSIS
gh project item-edit [flags]

DESCRIPTION
Edit either a draft issue or a project item. Both usages require the ID of the item to edit.

For non-draft issues, the ID of the project is also required, and only a single field value can be updated per invocation.

Remove project item field value using --clear flag.

OPTIONS

--body <string>
    Body of the draft issue item

--clear
    Remove field value

--date <string>
    Date value for the field (YYYY-MM-DD)

--field-id <string>
    ID of the field to update

--format <string>
    Output format: {json}

--id <string>
    ID of the item to edit

--iteration-id <string>
    ID of the iteration value to set on the field

-q, --jq <expression>
    Filter JSON output using a jq expression

--number <float32> (default 0)
    Number value for the field

--project-id <string>
    ID of the project to which the field belongs to

--single-select-option-id <string>
    ID of the single select option value to set on the field

-t, --template <string>
    Format JSON output using a Go template; see "gh help formatting"

--text <string>
    Text value for the field

--title <string>
    Title of the draft issue item

EXAMPLE
    # edit an item's text field value
    gh project item-edit --id <item-ID> --field-id <field-ID> --project-id <project-ID> --text "new text"

    # clear an item's field value
    gh project item-edit --id <item-ID> --field-id <field-ID> --project-id <project-ID> --clear

SEE ALSO
gh-project(1)